import { getServerI18n } from "@/i18n";
import { Stack, Typography, Link } from "@mui/material";
import NextLink from "next/link";

export default async function NotFound() {
  const { t } = await getServerI18n("projects", "common");

  return (
    <Stack spacing={2}>
      <Typography variant="h4">{t("Not Found")}</Typography>
      <Typography variant="body1">{t("The sub project was not found!")}</Typography>
      <Link href="/projects" component={NextLink} variant="body2">
        {t("Return to all projects")}
      </Link>
    </Stack>
  );
}
